Subject: Re: [PATCH] iproute2: ip: add wilcard support for device matching

From: Stephen Hemminger <[email-masked]>
Date: Fri, 10 Dec 2010 08:18:46 -0800

On Fri, 10 Dec 2010 16:58:12 +0200
Octavian Purdila <[email-masked]> wrote:

> Allow the users to specify a wildcard when selecting a device:
> 
> $ ip set link dev dummy* up
> 
> We do this by expanding the original command line in multiple lines
> which we then feed via a pipe to a forked ip processed run in batch
> mode.
> 

Seems like feature creep. Can't you do this with bash completion
script instead.